#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Twofish2
Summary:	Crypt::Twofish2 - Crypt::CBC compliant Twofish encryption Perl module
Summary(pl.UTF-8):	Crypt::Twofish2 - perlowy moduł szyfru Twofish zgodny z Crypt::CBC
Name:		perl-Crypt-Twofish2
Version:	1.02
Release:	7
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	28efe17baac40c14914912bb3e5932b5
URL:		http://search.cpan.org/dist/Crypt-Twofish2/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements the Twofish cipher in a less braindamaged
(read: slow and ugly) way than the existing "Crypt::Twofish" module.
Although it is "Crypt::CBC" compliant you usually gain nothing by
using that module (except generality), since "Crypt::Twofish2" can
work in either ECB or CBC mode.

%description -l pl.UTF-8
Ten moduł jest implementacją szyfru Twofish w mniej debilny (powolny
i paskudny) sposób niż moduł Crypt::Twofish. Pomimo tego, że jest
zgodny z Crypt::CBC, nie ma potrzeby używania tamtego modułu, ponieważ
Crypt::Twofish2 może działać zarówno w trybie ECB jak i CBC.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/Twofish2.pm
%dir %{perl_vendorarch}/auto/Crypt/Twofish2
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/Twofish2/*.so
%{_mandir}/man3/*
%changelog
* Sun Oct 30 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-Twofish2.git;a=log;h=master

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 1c93420
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 40ad6e5
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 2e65754
- x32 rebuild
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 170d319
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2007ff8
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> b31feac
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> c8d893d
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Wed Jan 11 2012 zbyniu <zbyniu@pld-linux.org> 6270dad
- up to 1.02

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f2daf4d
- release 3

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> a159acb
- generic URL
- License seems to be GPL (GPL v2 text included, no other license notes)

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a0445e9
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 736b22c
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c76526d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c61a342
- converted to UTF-8

* Sun May 29 2005 petec <petec@pld-linux.org> 5b54988
- up to 1.01

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> b75422c
- formatting

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> a9a834c
- updated to 1.0

* Sat Jun 05 2004 radek <radek@pld-linux.org> 00baf83
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> b852f8d
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> 4e902d5
- fixed perl-devel BR

